import ViewMessageService from '../view-message-service';
/**
 * 表格更新默认值视图消息服务对象基类
 *
 * @export
 * @class ViewMsg14MessageServiceBase
 */
export default class ViewMsg14MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg14MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg14MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg14MessageServiceBase
     */
    public initBasicParam(){
        this.id = "86CE9696-9388-41A1-948C-84F7ED702519";
        this.name = "表格更新默认值";
        this.codename = "ViewMsg14";
        this.title = "";
        this.content = "表格更新默认值：表格更新时提供默认值";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "info";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg14MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}